Skip to main content
PATCH
Update a URL of a sandbox

Authorizations

Authorization
string
header
required

An API key that starts with vms_. Make one in Settings > API keys.

Path Parameters

id
string
required
Example:

"sbx_06d8k3m7q2v9x4b1n5c0e8f2ja"

urlId
string
required
Example:

"url_06d8k3m7q2v9x4b1n5c0e8f2jb"

Body

application/json
public
boolean

Send true to remove the token gate. Send false to add it.

Response

The changed URL.

id
string
required
Example:

"url_06d8k3m7q2v9x4b1n5c0e8f2jb"

sandboxId
string
required
Example:

"sbx_06d8k3m7q2v9x4b1n5c0e8f2ja"

port
integer
required
Required range: 1 <= x <= 65535
Example:

3000

url
string<uri>
required

The HTTPS address of the port. It contains the sandbox name, so it changes when you rename the sandbox.

Example:

"https://agent-42-3000-k3m7q2v9.vmsdev.run"

public
boolean
required

True if the URL works without the token.

token
string | null
required

Open the URL one time with ?_token=. The browser then keeps a cookie for the URL. It is null for an API key without sandboxes:write.

Example:

"vmsu_Gq3n0Yb1c2d3e4f5g6h7i8j9k0l1m2n3o4p5q6r7s8t"

createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$
updatedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$